Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.able
Interface Attributeable

All Known Implementing Classes:
  AbleComponent, AttributesAdd, BalloonHelp, ButtonEx, Calculator, CalculatorField, CheckBoxEx, ColorChooser, ComboBox, ComponentEx, ContainerEx, DateChooser, DateField, DefaultTabModel.TabButton, DropDown, EditableLabelEx, ExpandableSection, GroupBox, ImageIcon, ImageMap, KeyStrokeListener, LabelEx, ListBoxEx, ListSection, LiveTable, Menu, MenuBar, MenuButton, MenuItem, PageableSortableTable, PasswordFieldEx, PopUp, ProgressBar, PushButton, RadioButtonEx, RichTextArea, SelectFieldEx, Separator, Slider, SortableTable, Strut, TabbedPane, TableEx, TemplatePanel, TextAreaEx, TextFieldEx, TitleBar, Tree, TreeTable

    public interface Attributeable

`Attributeable` is an interface that allows a Component to have a series of objects associated with attribute names. This attribute setting follows standard HashMap semantics.

The rendering peer code for the Component will also use these attributes to render out this attribute information on the client.

Method Summary
`java.lang.Object` | `getAttribute(java.lang.String attributeName)` Returns a value for the given attribute name or null if one cannot be found.
`java.lang.String[]` | `getAttributeNames()` Returns a String array with the names of the the attributes that have neen set.
`void` | `setAttribute(java.lang.String attributeName, java.lang.Object attributeValue)` Sets a value for a given attribute name.

Method Detail

### getAttributeNames

    java.lang.String[] getAttributeNames()

  Returns a String array with the names of the the attributes that have neen set.

  Returns:
    a String array with the names of the the attributes that have neen set.

### getAttribute

    java.lang.Object getAttribute(java.lang.String attributeName)

  Returns a value for the given attribute name or null if one cannot be found.

  Parameters:
    `attributeName` - - the name of the attribute to return
  Returns:
    a value for the given attribute name or null if one cannot be found.

### setAttribute

    void setAttribute(java.lang.String attributeName,
                      java.lang.Object attributeValue)

  Sets a value for a given attribute name.

  Parameters:
    `attributeName` - - the name of the attribute to set
    `attributeValue` - - the value for the attribute

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD